[quantal] 5.100.82.112+bdcom-0ubuntu1 - wl_linux.c:43:24: fatal error: asm/system.h: No such file or directory

Bug #1020059 reported by Savvas Radevic on 2012-07-02
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
High
Alberto Milone
Precise
Undecided
Unassigned

Bug Description

A rather weird way to try the bug, but **I think it affects quantal** as well (as system.h doesn't exist anymore) -- that's why I'm reporting it as a bug.

I installed the latest ubuntu 3.4.4 on ubuntu 12.04 (from kernel mainline ppa) and the package bcmwl-kernel-source from ubuntu quantal repositories:
$ apt-cache policy bcmwl-kernel-source
bcmwl-kernel-source:
  Installed: 5.100.82.112+bdcom-0ubuntu1
  Candidate: 5.100.82.112+bdcom-0ubuntu1
  Version table:
 *** 5.100.82.112+bdcom-0ubuntu1 0
        100 /var/lib/dpkg/status
     5.100.82.38+bdcom-0ubuntu6.1 0
        500 http://debian.informatik.uni-erlangen.de/ubuntu/ precise-updates/restricted i386 Packages
     5.100.82.38+bdcom-0ubuntu6 0
        500 http://debian.informatik.uni-erlangen.de/ubuntu/ precise/restricted i386 Packages

This happened when I installed/tried to reconfigure the package:

$ sudo dpkg-reconfigure bcmwl-kernel-source Removing all DKMS Modules
Done.
Loading new bcmwl-5.100.82.112+bdcom DKMS files...
Building for 3.2.0-26-generic and 3.4.4-030404-generic
Building for architecture i686
Building initial module for 3.2.0-26-generic
Done.

wl:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-26-generic/updates/dkms/

depmod....

DKMS: install completed.
Building initial module for 3.4.4-030404-generic
ERROR (dkms apport): kernel package linux-headers-3.4.4-030404-generic is not supported
Error! Bad return status for module build on kernel: 3.4.4-030404-generic (i686)
Consult /var/lib/dkms/bcmwl/5.100.82.112+bdcom/build/make.log for more information.
update-initramfs: deferring update (trigger activated)
savvas@savvas-netbook:~/Desktop$ cat /var/lib/dkms/bcmwl/5.100.82.112+bdcom/build/make.log
DKMS make.log for bcmwl-5.100.82.112+bdcom for kernel 3.4.4-030404-generic (i686)
Mon Jul 2 13:16:56 CEST 2012
make: Entering directory `/usr/src/linux-headers-3.4.4-030404-generic'
Wireless Extension is the only possible API for this kernel version
Using Wireless Extension API
  LD /var/lib/dkms/bcmwl/5.100.82.112+bdcom/build/built-in.o
  CC [M] /var/lib/dkms/bcmwl/5.100.82.112+bdcom/build/src/shared/linux_osl.o
  CC [M] /var/lib/dkms/bcmwl/5.100.82.112+bdcom/build/src/wl/sys/wl_linux.o
/var/lib/dkms/bcmwl/5.100.82.112+bdcom/build/src/wl/sys/wl_linux.c:43:24: fatal error: asm/system.h: No such file or directory
compilation terminated.
make[1]: *** [/var/lib/dkms/bcmwl/5.100.82.112+bdcom/build/src/wl/sys/wl_linux.o] Error 1
make: *** [_module_/var/lib/dkms/bcmwl/5.100.82.112+bdcom/build] Error 2
make: Leaving directory `/usr/src/linux-headers-3.4.4-030404-generic'

The solution was to apply a similar patch from comment #6 on bug https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/993506

#if LINUX_VERSION_CODE < KERNEL_VERSION(3, 4, 0)
#include <asm/system.h>
#endif

Again, I believe that this affects normal quantal installations, that's why I'm reporting it.

Changed in bcmwl (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: New → Triaged
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bcmwl - 5.100.82.112+bdcom-0ubuntu2

---------------
bcmwl (5.100.82.112+bdcom-0ubuntu2) quantal; urgency=low

  * 0004-Add-support-for-Linux-3.2.patch:
    - Make sure the patch can always be applied.
  * debian/dkms.conf.in:
    - Always apply all patches (LP: #1020059).
 -- Alberto Milone <email address hidden> Thu, 05 Jul 2012 13:20:00 +0200

Changed in bcmwl (Ubuntu):
status: Triaged → Fix Released

Hello Savvas, or anyone else affected,

Accepted bcmwl into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/bcmwl/6.20.155.1+bdcom-0ubuntu0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Adam Conrad (adconrad) on 2013-01-17
Changed in bcmwl (Ubuntu Precise):
status: New → Fix Committed
Timo Jyrinki (timo-jyrinki) wrote :

The precise-proposed version compiles fine via dkms against linux-lts-quantal's 3.5 kernel.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bcmwl - 6.20.155.1+bdcom-0ubuntu0.0.1

---------------
bcmwl (6.20.155.1+bdcom-0ubuntu0.0.1) precise-proposed; urgency=low

  [ Alberto Milone ]
  * New upstream release (LP: #923809).
  * Add 0004-Add-support-for-Linux-3.2.patch:
    - Make sure the patch can always be applied.
  * Add 0005-Add-support-for-Linux-3.4.0.patch:
    - Thanks to Eugene San for the patch (LP: #994255).
  * debian/control:
    - Drop all the dependencies on the linux-headers.
  * debian/dkms.conf.in:
    - Always apply all patches (LP: #1020059).

  [ Martin Pitt ]
  * debian/bcmwl-kernel-source.postinst:
    - Silence the errors from rmmod about the modules not being
      loaded. This is fully expected, and just causes confusion,
      as well as autopkgtest failures.
    - Mirror the actions of the installed modprobe.d files,
      i.e. rmmod the b43 driver and try to modprobe wl, so
      that this package works right after installation.
      (LP: #1065827)
    - Drop duplicate #DEBHELPER# token. It does not currently
      expand to anything, but it looks confusing.
  * debian/rules, debian/bcmwl-kernel-source.modaliases:
    - Drop parsing of src/src/wl/sys/wl_linux.c, as the current
      upstream version dropped all useful vendor matches in its
      pci_device_id struct and now has a broken modalias. Keep
      a static debian/bcmwl-kernel-source.modaliases instead
      which matches on any Broadcom network device (vendor 14E4
      class 02 subclass 80). This brings back a proper
      "Modaliases:" package header (LP: #1089943).
 -- Alberto Milone <email address hidden> Thu, 17 Jan 2013 12:38:17 +0100

Changed in bcmwl (Ubuntu Precise):
status: Fix Committed → Fix Released
Savvas Radevic (medigeek) wrote :

looks ok now, thank you!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers